summaryrefslogtreecommitdiffstats
path: root/network/sks-keyserver/rc.sks
diff options
context:
space:
mode:
author pyllyukko2014-10-26 09:51:34 +0100
committer Willy Sudiarto Raharjo2014-10-30 14:27:25 +0100
commitb94336ff0c01fa5f7932bee19efb8c28cfe44ece (patch)
tree444ce8f7b0527075950c2c061bdf90469fa76b19 /network/sks-keyserver/rc.sks
parentd3e1cdea70e28c9e09031c89d6d1880e61c1391a (diff)
downloadslackbuilds-b94336ff0c01fa5f7932bee19efb8c28cfe44ece.tar.gz
network/sks-keyserver: Added (OpenPGP keyserver).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/sks-keyserver/rc.sks')
-rw-r--r--network/sks-keyserver/rc.sks60
1 files changed, 60 insertions, 0 deletions
diff --git a/network/sks-keyserver/rc.sks b/network/sks-keyserver/rc.sks
new file mode 100644
index 0000000000..9869de049e
--- /dev/null
+++ b/network/sks-keyserver/rc.sks
@@ -0,0 +1,60 @@
+#************************************************************************#
+#* rc.sks - sample script to start and stop the SKS processes *#
+#* *#
+#* Copyright (C) 2011, 2012, 2013 John Clizbe *#
+#* *#
+#* This file is part of SKS. SKS is free software; you can *#
+#* redistribute it and/or modify it under the terms of the GNU General *#
+#* Public License as published by the Free Software Foundation; either *#
+#* version 2 of the License, or (at your option) any later version. *#
+#* *#
+#* This program is distributed in the hope that it will be useful, but *#
+#* WITHOUT ANY WARRANTY; without even the implied warranty of *#
+#* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU *#
+#* General Public License for more details. *#
+#* *#
+#* You should have received a copy of the GNU General Public License *#
+#* along with this program; if not, write to the Free Software *#
+#* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 *#
+#* USA or see <http://www.gnu.org/licenses/>. *#
+#************************************************************************#
+#
+#! /bin/sh
+#
+CLIENT=/usr/bin/sks
+DIR=/var/lib/sks
+STARTOPTS=
+#STARTOPTS will need to be in quotes if it has white space in it
+
+test -e $CLIENT || exit 0
+
+test -d $DIR || exit 0
+
+case "$1" in
+ start)
+ cd $DIR
+ echo -n "Starting SKS:"
+ echo -n \ sks_db
+ /bin/su -c "$CLIENT db" -s /bin/bash sks &
+ echo -n \ sks_recon
+ /bin/su -c "$CLIENT recon" -s /bin/bash sks &
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping SKS:"
+ killall sks
+ while [ "`pidof sks`" ]; do sleep 1; done # wait until SKS processes have exited
+ echo "."
+ ;;
+ restart|force-reload)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|reload|restart|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0